Bug 177800 - xmlrev trashes /tmp
Summary: xmlrev trashes /tmp
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xmldiff   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul W. Frields
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-01-14 12:54 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.6.7-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-02 19:28:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix xmlrev's temp file cleanup (421 bytes, patch)
2006-01-14 12:54 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2006-01-14 12:54:43 UTC
Created attachment 123194 [details]
Fix xmlrev's temp file cleanup

Comment 1 Ville Skyttä 2006-01-14 12:54:43 UTC
As the result of my xmldiff review, my /tmp is filled by junk left behind by
xmlrev which doesn't properly clean up its tempfiles in case of an error (or eg.
--help).

For example:

$ ls /tmp/xmlrev*
ls: /tmp/xmlrev*: No such file or directory
$ xmlrev &>/dev/null
$ ls /tmp/xmlrev*
/tmp/xmlrev.dest.pZ6175   /tmp/xmlrev.xslt.Nb6177
/tmp/xmlrev.start.hB6174  /tmp/xmlrev.xupdate.xF6176

Fix attached.

Comment 2 Paul W. Frields 2006-02-02 19:28:50 UTC
This is handled in current builds.  I am still waiting on your input in bug
177083 to tell me whether my work plan is sufficient to handle your and THL's
concerns.


Note You need to log in before you can comment on or make changes to this bug.